	        <?php if(!function_exists('wp_list_comments')) { ?>
            <div class="post">
			<?php } else { ?>
			<div <?php post_class(); ?>>
			<?php } ?>
			  <div class="post-top"></div>
			  
			  <!--
			    The main content of the page; then the additional links for tagging
				-->
			  <div class="post-content">
				<div class="post-title">
				  <?php if (!is_single()) { ?>
			      <h2><a href="<?php the_permalink(); ?>" rel="tag" 
						title="Permanent link to <?php the_title(); ?>"><?php the_title('',''); ?></a>
			      </h2>
				  <?php } else { ?>
				  <h2><?php the_title('',''); ?></h2>
				  <?php } ?>
				  
				  <div class="post-date">
				    <p>
					<span class="month"><?php $mon = get_the_time('F'); echo substr($mon, 0, 3); ?>&nbsp;<?php the_time('j'); ?></span><br />
					<span class="date"><?php the_time('Y'); ?></span>
					</p>
				  </div>
				</div>
				
				<div class="post-main">
		          <?php trackback_rdf(); ?>
		          <?php the_content('Click to read more ...'); ?>
				  
				  <p>
				    <?php the_tags('Tags: ', ', ', ''); ?>
				  </p>
				</div>
			  </div> <!-- end .post-content -->
			  
			  <!--
			    The bottom of the post where comments, trackback, category and edit
				links are shown.
				-->
		      <div class="post-bottom">
				<div class="post-info">
		          <p>
				    <a href="<?php trackback_url(display); ?>" title="Trackback">Trackback</a>
				    <a href="<?php trackback_url(display); ?>" title="Trackback"><img src="<?php bloginfo('stylesheet_directory'); ?>/images/trackback.png" alt="Trackback" style="margin:0 0 -2px 0;" /></a>
				    &nbsp;&bull;&nbsp;
				    Posted in <?php $category = get_the_category(); ?><a href="<?php echo get_category_link($category[0]->cat_ID);?>"><?php echo $category[0]->cat_name; ?></a> 
				    &nbsp;
				    <?php edit_post_link('Edit','&bull;&nbsp;',''); ?>
			      </p>
				</div>
				
			    <div class="post-comments">
				  <p>
			        <a href="<?php comments_link(); ?>" 
				      title="<?php comments_number('0','1','%'); ?> comments on this post.">
				    <?php comments_number('0 comments','1 comment','% comments'); ?>
				    </a>
					&nbsp;
			        <a href="<?php comments_link(); ?>" 
				      title="<?php comments_number('0','1','%'); ?> comments on this post.">
				      <img src="<?php bloginfo('stylesheet_directory'); ?>/images/comments.png" alt="Comments" style="margin:0 0 -2px 0;" />
				    </a>
				  </p>
				</div>
			  </div> <!-- end .post-bottom -->
		   
		      <?php if (is_single()) { ?>
			    <!--
			      Navigation links at the bottom to the previous and next pages.
				  -->
	            <div class="navigation">
		          <div class="align-left"><h3><?php previous_post_link('%link','&laquo; Previous post') ?></h3></div>
		          <div class="align-right"><h3><?php next_post_link('%link','Next post &raquo;') ?></h3></div>
				  <br />
	            </div>
			  <?php } ?>
            </div> <!-- end .post -->
		  
			<!--
			  The comments.
			  -->
	        <?php comments_template(); ?>
			  
		    <div class="spacer">&nbsp;</div>